/* 

WARNING : Estamos usando Bootstrap, asi que la unica razon por la cual vamos a usar este archivo, sera para lo que no trata bootstrap

*/

/* Formato container Top */
.container_top{
    display: flex;
    justify-content:space-between;
}

/* Formato Mensaje Flash */
.alert-dismissible {
    opacity: 1;
    transition: opacity 0.5s ease-out;
}

.alert-dismissible.fade-out {
    opacity: 0;
}
/* /Formato Mensaje Flash */


/* Formato Navegacion Y Botones accion */
#navegacion{
    margin-top:10px;
    margin-bottom:10px;
}

.botones-accion{
    margin-bottom:10px;
}

/* Formato Celulas Listas Elementos  */

.scrollable-div {
  overflow-y: scroll;

  max-height: 600px;
}

.container_principal > a{
    text-decoration: none;
}

.list-group-item > div{
    width: 12.5%;
    text-align: center;
}

.boton-lista{
    font-size: 10px;
}

/* /Formato Celulas Lista Guias  */

/* Formato Formulario add Guias  */

#offcanvasExample {
  width: 25%;
}

form > div#guia > div {
    display: grid !important;
    grid-template-columns: 1fr 1fr;
    margin-bottom: 10px;
}

form > div#guia .form_error, form > div#guia #guia_Guardar{
    grid-column: 1 / 3;
}

form > div#guia #guia_Guardar{
    height: 50px;
}

/* /Formato Formulario add Guias  */

/* Posicionamiento GRID vista Factura*/

.factura{
    color: black;
    background-color: white;
    display: grid;
    grid-template-columns: 1fr 3fr 1fr;
    border: solid 1px black;
}

.factura > div {
    padding: 10px;
}

.factura .child1{
    grid-column: 1/ span 2;
    grid-row: 1 / 2;
}
.factura .child2{
    grid-column: 3/ 4;
    grid-row: 1 / 2;
}
.factura .child3{
    grid-column: 1/ 3;
    grid-row: 2 / 3;
} 

.factura .child5, .factura .child7{
    background-color: gray;
    text-align: right;
    grid-column: 1/ span 3;
    grid-row: 3 / 4;
}

.factura .child6{
    background-color: lightgrey;
    grid-column: 2/ 4;
    grid-row: 4 / 5;
}

.factura .child7{
    background-color: gray;
    text-align: right;
    grid-column: 1/ span 3;
    grid-row: 5 / 6;
}

.factura .child8{
    background-color: lightgrey;
    grid-column: 2/ 4;
    grid-row: 6 / 7;
}

.factura .child6 .detalle, .factura .child6 .detalle_total{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    margin-top: 10px;
    border-top: solid 1px black;
}

.factura .detalle_total .label_subtotal{
    grid-column: 3/ 4;
    grid-row: 1 / 2;
}

.factura .detalle_total .label_iva{
    grid-column: 3/ 4;
    grid-row: 2 / 3;
}

.factura .detalle_total .label_total{
    grid-column: 3/ 4;
    grid-row: 3 / 4;
}

.factura .detalle_total .subtotal{
    grid-column: 4/ 5;
    grid-row: 1 / 2;
}

.factura .detalle_total .iva{
    grid-column: 4/ 5;
    grid-row: 2 / 3;
}

.factura .detalle_total .total{
    grid-column: 4/ 5;
    grid-row: 3 / 4;
}

.factura .child8 .detalle, .factura .child8 .detalle_total{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    margin-top: 10px;
    border-top: solid 1px black;
}

.factura .child8 .detalle .label_tipopago{
    grid-column: 3/ 4;
    grid-row: 1 / 2;
}

.factura .child8 .detalle .label_valorpago{
    grid-column: 4/ 5;
    grid-row: 1 / 2;
}

.factura .child8 .detalle .tipo_pago{
    grid-column: 3/ 4;
}

.factura .child8 .detalle .valor_pago{
    grid-column: 4/ 5;
}


/* /Posicionamiento GRID vista Factura*/

/* Estilos Especificos vista Factura */

.factura .detalle_total .label_total, .factura .detalle_total .total{
    background-color: grey;
}

